Summary: LIVE555 Streaming Media Library
Name: live
Version: 2012.02.29
Release: %mkrel 4
Source0: http://live555.com/liveMedia/public/%{name}.%{version}.tar.gz
Patch0: live.2007.01.09-optflags.patch
Patch1: live-pic.patch
Patch2: live-format-strings.patch
License: LGPLv2+
Group: System/Libraries
URL: http://www.live555.com/liveMedia/
Provides: live555 = %version-%release

%description
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains the example apps of LIVE555.

%package devel
Summary: Development files of the LIVE555 Streaming Media Library
Group: Development/C++
Provides: live555-devel = %version-%release

%description devel
This code forms a set of C++ libraries for multimedia streaming, using
open standard protocols (RTP/RTCP, RTSP, SIP). These libraries - which
can be compiled for Unix (including Linux and Mac OS X), Windows, and
QNX (and other POSIX-compliant systems) - can be used to build
streaming applications.

This package contains all needed files to build programs based on LIVE555.

%prep
%setup -q -n %name
%patch0 -p1 -b .optflags
%patch1 -p1 -b .pic
%patch2 -p1 -b .format-string
rm -f testProgs/qtParse

%build
./genMakefiles linux
make clean
make RPM_OPT_FLAGS="%{optflags} -DRTSPCLIENT_SYNCHRONOUS_INTERFACE"

%install
rm -rf %{buildroot}
for dir in BasicUsageEnvironment groupsock liveMedia UsageEnvironment; do
  mkdir -p %buildroot%_includedir/$dir %{buildroot}%{_libdir}
  cp -r $dir/*.a %{buildroot}%{_libdir}
  cp -r $dir/include/* %buildroot%_includedir/$dir
done
mkdir -p %buildroot%_bindir
for testprog in `find testProgs mediaServer -type f -perm 755`; do
  install $testprog %buildroot%_bindir
done

%files
%doc COPYING README
%_bindir/MPEG2TransportStreamIndexer
%_bindir/live555MediaServer
%_bindir/openRTSP
%_bindir/playSIP
%_bindir/sapWatch
%_bindir/test*
%_bindir/vobStreamer

%files devel
%_libdir/*.a
%{_includedir}/*


%changelog

* Sun Mar 18 2012 fwang <fwang> 2012.02.29-4.mga2
+ Revision: 223786
- build old rtsp interface

* Fri Mar 09 2012 fwang <fwang> 2012.02.29-3.mga2
+ Revision: 221949
- more standard prefix

* Fri Mar 09 2012 fwang <fwang> 2012.02.29-2.mga2
+ Revision: 221944
- use standard install prefix

* Fri Mar 09 2012 fwang <fwang> 2012.02.29-1.mga2
+ Revision: 221920
- new version 2012.02.29

  + doktor5000 <doktor5000>
    - use versionned live555 Provides
    - add Provides on live555 and live555-devel
    - new version 2012.01.26
    - removed duplicate definition of %%name and %%version
    - removed obsolete BuildRoot, %%clean section and empty %%defattrs

* Mon Nov 14 2011 dams <dams> 2011.11.08-1.mga2
+ Revision: 167445
- new version 2011.11.08

* Thu Sep 08 2011 tv <tv> 2011.06.16-1.mga2
+ Revision: 141170
- new release

* Tue Jan 25 2011 ahmad <ahmad> 2011.01.24-2.mga1
+ Revision: 39597
- update to 2011.01.24
- rediff patch0,1
- imported package live

